Update Webhook

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API endpoint example

https://eu.api.capillarytech.com/v3/webHooks/69254f46749e644bc0132

Prerequisites

  • Authentication - Basic or OAuth authentication details
  • Access group resource - Read and write permission on webhook resource group.

Resource information

URL/v3/webHooks/{webHookId}
HTTP methodPUT
Pagination supported?NA
Rate limitNA
Batch supportNA

Request path parameters

(Parameters marked with * are mandatory)TypeDescription
webHookId*StringIdentifier for the webhook. You can retrieve this value from the webHookId parameter in the Add Webhook response.

Request body parameters

(Parameters marked with * are mandatory)TypeDescription
activeBooleanIndicates if the webhook is active.
customerIdentifiersToBeEnrichedArrayList of customer identifiers enrichment available in the payload.
eventNamesArrayList of event names that trigger the webhook. At least one event name is required.
maxAllowedConnectionsIntegerMaximum allowed concurrent connections for this webhook.
Note: Minimum one concurrent connection is required.
methodTypeStringHTTP method used by the webhook. Example: POST, PUT, GET or DELETE.
nameStringName of the webhook.
slaInSecondsIntegerExpected delivery time of the event notification in seconds. This is used to track notifications that took more time than the SLA set.
webHookHeadersArrayHeaders sent with the webhook request.
  • Authorization
StringAuthorization header for authentication.
  • Content-Type
StringSpecifies the content, Example: application/json
webHookTypeStringType of webhook, Example: HTTP
webHookUrlStringURL where the webhook sends its requests.
curl --location --request PUT 'https://eu.api.capillarytech.com/v3/webHooks/69254f46749e644bc01328c1' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic *******' \
--header 'Cookie: _cfuvid=yYsH7ns18uvZ6yJ8YEDgIPw.ZjqHMYsSsHCnY00XLAM-1764052824812-0.0.1.1-604800000' \
--data ' {
  "active": true,
  "customerIdentifiersToBeEnriched": [],
  "eventNames": [
    "loyaltyCustomerMerge",
    "partnerProgramLinked",
    "pointsExpired",
    "customerAdded",
    "transactionUpdated",
    "groupUpdated",
    "promisedToCurrentPointsConversion",
    "pointsTransferredReceived",
    "groupMemberRemoved",
    "groupCreated",
    "partnerProgramUpdated",
    "pointsIssued",
    "tierDowngradeReminder",
    "pointsContributionToGroup",
    "CouponRedeem",
    "pointsExpiryReminder",
    "partnerProgramDelinked",
    "CouponIssue",
    "tierRenewed",
    "tierDowngraded",
    "pointsTransferredInitiated",
    "customerUpdated",
    "tierUpgraded",
    "rewardIssued",
    "pointsExpiryChange",
    "rewardUpdated",
    "supplementaryMembershipExpiryReminder",
    "singlePointsExpiryUpdated",
    "issuedPointsReversed",
    "redeemedPointsReversed"
  ],
  "maxAllowedConnections": 15,
  "methodType": "PUT",
  "name": "All_Events_v3",
  "slaInSeconds": 150,
  "webHookHeaders": {
    "Authorization": "Basic Q2FwaWxsYXJ5OklVTmhjR2xzYkdGeWVVQTROekl5",
    "Content-Type": "application/json"
  },
  "webHookType": "HTTP",
  "webHookUrl" : "https://eo4qiclzg50n2q8.m.pipedream.net"
 }'

Response parameters

ParameterDescription
dataContains the main data for the webhook configuration.
  • attribution
Metadata about the creation and last update of the webhook.
-- createdOnTimestamp when the webhook was created. It is in the local time zone of the org and in ISO 8601 format.
-- lastUpdatedOnTimestamp when the webhook was last updated. It is in the local time zone of the org and in ISO 8601 format.
-- lastUpdatedByInformation about the user who last updated the webhook.
--- idUnique identifier of the user.
--- codeCode of the user.
--- descriptionDescription of the user.
--- nameName of the user.
--- typeType of user. Example: TILL
-- createdByInformation about the user who created the webhook.
--- idUnique identifier of the user.
--- codeCode of the user.
--- descriptionDescription of the user.
--- nameName of the user.
--- typeType of user. Example: TILL
webHookIdUnique identifier of the webhook.
nameName of the webhook.
eventNamesList of event names that trigger the webhook.
webHookUrlURL where the webhook sends its requests.
webHookTypeType of webhook, Example: HTTP
methodTypeHTTP method used by the webhook. Example: POST, PUT, GET or DELETE.
webHookHeadersHeaders sent with the webhook request.
  • Authorization
Authorization header for basic authentication.
  • Content-Type
Specifies the content, Example: application/json
noOfRetryAttemptsNumber of retry attempts configured.
maxAllowedConnectionsMaximum allowed concurrent connections for this webhook.
Note: Minimum one concurrent connection is required.
activeIndicates if the webhook is active.
slaInSecondsExpected delivery time of the event notification in seconds. This is used to track notifications that took more time than the SLA set.
consumerGroupIdIdentifier for the consumer group.
tillDetailsEnrichmentEnabledIndicates if the event payload is enriched with till details.
storeDetailsEnrichmentEnabledIndicates if the event payload is enriched with store details
customerIdentifiersToBeEnrichedList of customer identifiers enrichment available in the payload.
awardedReferenceEnrichmentEnabledIndicates if the event payload is enriched with awarded reference ID . It is a unique identifier associated with each issued point or redemption transaction within the system.
availablePointsBalanceEnrichmentEnabledIndicates if the event payload is enriched with available points balance.
errorsArray containing errors, if any.
warningsArray containing warnings, if any.
{
    "data": {
        "attribution": {
            "createdOn": "2025-11-25T06:40:06.036+0000",
            "createdOnISO": "2025-11-25T06:40:06Z",
            "lastUpdatedOn": "2025-11-25T08:51:42.158+0000",
            "lastUpdatedOnISO": "2025-11-25T08:51:42Z",
            "lastUpdatedBy": {
                "id": 75152722,
                "code": "divya_doc",
                "description": "",
                "name": "divya_doc",
                "type": "TILL"
            },
            "createdBy": {
                "id": 75152722,
                "code": "divya_doc",
                "description": "",
                "name": "divya_doc",
                "type": "TILL"
            }
        },
        "webHookId": "69254f46749e644bc01328c1",
        "name": "All_Events_v3",
        "eventNames": [
            "loyaltyCustomerMerge",
            "partnerProgramLinked",
            "pointsExpired",
            "customerAdded",
            "transactionUpdated",
            "groupUpdated",
            "promisedToCurrentPointsConversion",
            "pointsTransferredReceived",
            "groupMemberRemoved",
            "groupCreated",
            "partnerProgramUpdated",
            "pointsIssued",
            "tierDowngradeReminder",
            "pointsContributionToGroup",
            "CouponRedeem",
            "pointsExpiryReminder",
            "partnerProgramDelinked",
            "CouponIssue",
            "tierRenewed",
            "tierDowngraded",
            "pointsTransferredInitiated",
            "customerUpdated",
            "tierUpgraded",
            "rewardIssued",
            "pointsExpiryChange",
            "rewardUpdated",
            "supplementaryMembershipExpiryReminder",
            "singlePointsExpiryUpdated",
            "issuedPointsReversed",
            "redeemedPointsReversed"
        ],
        "webHookUrl": "https://eo4qiclzg50n2q8.m.pipedream.net",
        "webHookType": "HTTP",
        "methodType": "POST",
        "webHookHeaders": {
            "Authorization": "Basic Q2FwaWxsYXJ5OklVTmhjR2xzYkdGeWVVQTROekl5",
            "Content-Type": "application/json"
        },
        "noOfRetryAttempts": 0,
        "maxAllowedConnections": 15,
        "active": true,
        "slaInSeconds": 150,
        "consumerGroupId": "b3bd2ff7-1525-46d0-b855-08bee77209fc",
        "listenToChildEvents": false,
        "tillDetailsEnrichmentEnabled": false,
        "storeDetailsEnrichmentEnabled": false,
        "customerIdentifiersToBeEnriched": [],
        "awardedReferenceEnrichmentEnabled": false,
        "availablePointsBalanceEnrichmentEnabled": false
    },
    "errors": null,
    "warnings": null
}

API error codes

Error CodeDescription
51003eventNames can not be null
51007maxAllowedConnections must be greater than zero
300004maxAllowedConnections is missing from the body parameter
400webHookId is invalid
Path Params
string
required
Body Params
boolean
customerIdentifiersToBeEnriched
array of strings
customerIdentifiersToBeEnriched
eventNames
array of strings
eventNames
int32
string
string
int32
webHookHeaders
array of strings
webHookHeaders
string
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json